pcl::_PointXYZHSV Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZHSV:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float h
float s
float v
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 687 of file point_types.hpp.

## Member Data Documentation

## @7

union { ... }

## data_c

float pcl::_PointXYZHSV::data_c[4]

Definition at line 698 of file point_types.hpp.

## h

float pcl::_PointXYZHSV::h

Definition at line 694 of file point_types.hpp.

Referenced by pcl::PointXYZHSV::PointXYZHSV(), pcl::PointXYZHSVtoXYZRGB(), pcl::PointXYZRGBAtoXYZHSV(), pcl::PointXYZRGBtoXYZHSV(), and pcl::seededHueSegmentation().

## PCL_ADD_POINT4D

pcl::_PointXYZHSV::PCL_ADD_POINT4D

Definition at line 689 of file point_types.hpp.

## s

float pcl::_PointXYZHSV::s

Definition at line 695 of file point_types.hpp.

Referenced by pcl::PointXYZHSV::PointXYZHSV(), pcl::PointXYZHSVtoXYZRGB(), pcl::PointXYZRGBAtoXYZHSV(), pcl::PointXYZRGBtoXYZHSV(), and pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::set().

## v

float pcl::_PointXYZHSV::v

Definition at line 696 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::get(), pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::operator()(), pcl::PointXYZHSV::PointXYZHSV(), pcl::PointXYZHSVtoXYZRGB(), pcl::PointXYZRGBAtoXYZHSV(), pcl::PointXYZRGBtoXYZHSV(), and pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::set().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp